<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rj.mapper.CustomerManagementMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.rj.entity.CustomerManagement">
        <id column="id" property="id" />
        <result column="customer_name" property="customerName" />
        <result column="contact" property="contact" />
        <result column="dealership_id" property="dealershipId" />
        <result column="dealership_name" property="dealershipName" />
        <result column="sales_id" property="salesId" />
        <result column="sales_name" property="salesName" />
        <result column="recording_count" property="recordingCount" />
        <result column="intended_model" property="intendedModel" />
        <result column="info_card" property="infoCard" />
        <result column="remark" property="remark" />
        <result column="detailed_address" property="detailedAddress" />
        <result column="sales_phone" property="salesPhone" />
        <result column="contact_count" property="contactCount" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, customer_name, contact, dealership_id, dealership_name, sales_id, sales_name, recording_count, intended_model, info_card, remark, detailed_address, sales_phone, contact_count, create_time, update_time
    </sql>

</mapper>
